{%  set data = O.dataIndex %}
{%  set couleur = { '' : 'rgb(250,250,250)', 'Cours d\'eau de référence' : 'rgb(0,192,243)', 'Cours d\'eau naturel' : 'rgb(191,215,48)', 'Cours d\'eau semi-artificiel' : ' rgb(244,201,0)' , 'Cours d\'eau artificiel' : 'rgb(247,148,51)', 'Cours d\'eau très artificiel' : '#EE0000', 'Cours d\'eau enterré ou plan d\'eau' : 'rgb(150,150,150)' } %}

<div class="print-page">

    <table class="table">
        <tbody>
            <tr>
                <td>

                    <h2>Lit mineur - Diagnostic | Sysma <small>{{ ORGANISATION }}</small>   </h2>
                </td>
            </tr>      
            <tr>
                <td>
                    <table class="table table-noborder">
                        <tr>

                            <td>

                                <h1>{{ O.sysma_object }} <small>[{{ O.id }}] Nom du cours d'eau : {{  data['nom_ce'].value|default(('Non renseigné')) }}</small></h1>
                                <p><small>Dernière modification de l'objet le {{ O.modified_at|date('d/m/Y') }}</small></p>


                            </td>
                            <td>      
                                <p>Linéaire : {{ O.infosGeom.perimetre|round }} m</p>
                            </td>
                            <td>
                                <p>Communes concernées : {%  for C in tabC %} {{  C.sysma_object }} {%  endfor %}</p>
                                <p>Masses d'eau : {%  for ME in tabME %} {{  ME.sysma_object }} {%  endfor %}</p>
                            </td>
                            <td style="width:150px;">&nbsp;</td>
                        </tr>
                    </table>
                    <table class="table table-noborder">
                        <tr>
                            <td style="width:40%"> <div id="map{{O.id}}" style="height:350px;width:100%"></div> </td>
                            <td style="width:40%"> <div id="map2{{O.id}}" style="height:350px;width:100%"></div> </td>
                            {%  if O.tabOP|length >0 %}      
                                <td  style="width:20%"> 
                                    <img src='{{ O.tabOP[0].Photo.thumbnail|raw }}' style="max-height:350px" />       
                                </td>
                            {%  endif %}

                        </tr>
                    </table>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table">
        <tr>
            <td>
                <h2>Description du lit</h2>
                <table class="table table-noborder">
                    {%  set tabLit = { 0:'type_reso', 1:'reglement', 2:'postalweg', 3:'type_sinuo', 4:'larglitmin', 5:'l_bas_esti',6:'proflitmin', 7:'mesu_profi', 8:'clas_morph', 9:'homog_pt', 10:'obstructio', 11:'q_veg_lit', 12:'div_facies'} %}
                    {%  for l in tabLit %}
                        <tr>
                            <td>{{  data[l].parameter.parameter }}</td>
                            <td><b>{{  data[l].value }}</b></td>
                        </tr>
                    {%  endfor %}
                <table class="table table-noborder">
                <h2>Description des berges</h2>
                    {%  set tab = { 0:'mat_berge', 1:'clas_eros', 2:'protecberg', 3:'Ripisylve'} %}
                    {%  for l in tab %}
                        <tr>
                            <td>{{  data[l].parameter.parameter }}</td>
                            <td><b>{{  data[l].value }}</b></td>
                        </tr>
                    {%  endfor %}
                </table>

            </td>
            <td>
                <table class="table table-noborder">
                    <tr><td colspan="2">
                            <h2>Evaluation de la rugosité du lit mineur</h2>
                        </td>
                    </tr>
                    <tr >
                        <td   style='background-color : #ececec !important;'>Coef. de rugosité (K)</td>
                        <td   style='background-color : #ececec !important;'>{{  data['rugos_clas'].value}} ({{ data['rugos_note'].value|round(1) }}) </td>
                    </tr>

                    {%  set tab = { 'n0' : 'Matériaux des berges (n0)', 'n1' : 'Degré d\'irrégularité (n1)' , 'n2' : 'Variation de la section (n2)' , 'n3' : 'Quantité d\'éléments (n3)',  'n4' : 'Quantité de végétation (n4)', 'm' : 'Sinuosité (m)'} %}
                    {%  for key,l in tab %}
                        <tr>
                            <td>{{ l }}</td>
                            <td><span class='secondary'>{{  data[key].value}}</span></td>                                
                        </tr>
                    {%  endfor %}                   
                    <tr><td colspan="2">
                            <h2>Indice d'artificialisation du lit mineur</h2>
                        </td>
                    </tr>
                    <tr >
                        <td style='background-color : {{ couleur[data['iartif_cla'].value]}} !important;'><b>Indice d'artificialisation</b></td>
                        <td style='background-color : {{ couleur[data['iartif_cla'].value]}} !important;'><b>{{  data['iartif_cla'].value }} ({{  data['iartif_not'].value|round(1) }})</b></td>
                    </tr>
                    {%  set tab = { 'indice_tal' : 'Position dans le talweg', 'indice_sin' : 'Sinuosité', 'indice_rug' : 'Rugosité', 'indice_cem' : 'CEM', 'indice_pbe' : 'Protection berge'}%}
                    {%  for key,l in tab %}
                        <tr>
                            <td>{{ l }}</td>
                            <td>{{  data[key].value}}</td>                                
                        </tr>
                    {%  endfor %}

                </table>

            </td>

        </tr>
    </table>

    {%  if maps|default('on') != 'off' %}

        {# MAP #}
        {%  set tabO = { 0: O } %}
        {%  if O.infosGeom.perimetre > 200 %}
            {%  set zoom = 14  %}
        {%  else %} 
            {%  set zoom = 15  %}
        {%  endif %}
        {%  set baseLayer = 'esri_topo' %}
        {%  set map = 'map'~O.id %}
        {% include('map/simpleMap.twig') %}
        {# MAP2 #}
        {%  set tabO = { 0: O } %}
        {%  if O.infosGeom.perimetre > 150 %}
            {%  set zoom = 17  %}
        {%  else %} 
            {%  set zoom = 18  %}
        {%  endif %}
        {%  set baseLayer = 'orthophotos' %}
        {%  set map = 'map2'~O.id %}
        {% include('map/simpleMap.twig') %}

    {%  endif  %}

</div>
